# Class Signage#getUsageData

Signage

- Defined in: signage.js

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Signage#getUsageData(successCallback, errorCallback) Gets current usage data information.

## Class Detail

Signage#getUsageData(successCallback, errorCallback)

Gets current usage data information.

    function getUsageData() {
       var successCb = function (cbObject){
         var uptime= cbObject.uptime;
         var totalUsed= cbObject.totalUsed;
         console.log("Uptime: " + uptime);
         console.log("Total Used: " + totalUsed);
       };

       var failureCb = function(cbObject){
         var errorCode = cbObject.errorCode;
         var errorText = cbObject.errorText;
         console.log( " Error Code [" + errorCode + "]: " + errorText);
       };

       var signage = new Signage();
       signage.getUsageData(successCb, failureCb);
    }

Parameters:
{Function} successCallback
  success callback function.
{Function} errorCallback
  failure callback function.

Since:
  1.0
Returns:

  After the method is successfully executed, successCallback is called with the following data.

  Property | Type | Description
  --- | --- | ---
  uptime | Number | Uptime. (Hours after last power on. Showing upto the nearest hundredths. Ex) 1.5 = 1 hour 30 minutes, etc)
  totalUsed | Number | Total Used. (Total usage hours)

  If an error occurs, errorCallback is called with errorCode and errorText.